package de.dass_it.vanhelsing.gui.items;

public class DirectorItem extends ItemType implements UserObjectItem{
	private String name;
	private String description;
	private String password;
	private String messages;
	private String workingdirectory;
	private String piddirectory;
	private String scriptsdirectory;
	private String queryfile;
	private String heartbeatinterval;
	private String maximumconcurrentjobs;
	private String fdconnecttimeout;
	private String sdconnecttimeout;
	private String diraddresses;
	private String dirport;
	private String diraddress;
	private String dirsourceaddress;
	private String statisticsretention;
	private String verid;
	private String maxconsoleconnections;

	 public DirectorItem(){}

	 public DirectorItem(String name, String password, String messages, String workingdirectory, 
			 String piddrectory, String queryfile){
		
	 }

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public String getPassword() {
		return password;
	}

	public void setPassword(String password) {
		this.password = password;
	}

	public String getMessages() {
		return messages;
	}

	public void setMessages(String messages) {
		this.messages = messages;
	}

	public String getWorkingdirectory() {
		return workingdirectory;
	}

	public void setWorkingdirectory(String workingdirectory) {
		this.workingdirectory = workingdirectory;
	}

	public String getPiddirectory() {
		return piddirectory;
	}

	public void setPiddirectory(String piddirectory) {
		this.piddirectory = piddirectory;
	}

	public String getScriptsdirectory() {
		return scriptsdirectory;
	}

	public void setScriptsdirectory(String scriptsdirectory) {
		this.scriptsdirectory = scriptsdirectory;
	}

	public String getQueryfile() {
		return queryfile;
	}

	public void setQueryfile(String queryfile) {
		this.queryfile = queryfile;
	}

	public String getHeartbeatinterval() {
		return heartbeatinterval;
	}

	public void setHeartbeatinterval(String heartbeatinterval) {
		this.heartbeatinterval = heartbeatinterval;
	}

	public String getMaximumconcurrentjobs() {
		return maximumconcurrentjobs;
	}

	public void setMaximumconcurrentjobs(String maximumconcurrentjobs) {
		this.maximumconcurrentjobs = maximumconcurrentjobs;
	}

	public String getFdconnecttimeout() {
		return fdconnecttimeout;
	}

	public void setFdconnecttimeout(String fdconnecttimeout) {
		this.fdconnecttimeout = fdconnecttimeout;
	}

	public String getSdconnecttimeout() {
		return sdconnecttimeout;
	}

	public void setSdconnecttimeout(String sdconnecttimeout) {
		this.sdconnecttimeout = sdconnecttimeout;
	}

	public String getDiraddresses() {
		return diraddresses;
	}

	public void setDiraddresses(String diraddresses) {
		this.diraddresses = diraddresses;
	}

	public String getDirport() {
		return dirport;
	}

	public void setDirport(String dirport) {
		this.dirport = dirport;
	}

	public String getDiraddress() {
		return diraddress;
	}

	public void setDiraddress(String diraddress) {
		this.diraddress = diraddress;
	}

	public String getDirsourceaddress() {
		return dirsourceaddress;
	}

	public void setDirsourceaddress(String dirsourceaddress) {
		this.dirsourceaddress = dirsourceaddress;
	}

	public String getStatisticsretention() {
		return statisticsretention;
	}

	public void setStatisticsretention(String statisticsretention) {
		this.statisticsretention = statisticsretention;
	}

	public String getVerid() {
		return verid;
	}

	public void setVerid(String verid) {
		this.verid = verid;
	}

	public String getMaxconsoleconnections() {
		return maxconsoleconnections;
	}

	public void setMaxconsoleconnections(String maxconsoleconnections) {
		this.maxconsoleconnections = maxconsoleconnections;
	}




}
